WriterController (Groovy 5.0.0)

Package: org.codehaus.groovy.classgen.asm

## [Java] Class WriterController

- org.codehaus.groovy.classgen.asm.WriterController

-     public class WriterController
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `boolean` | `optimizeForInt` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public AsmClassGenerator` | `getAcg()`
    `` | `public AssertionWriter` | `getAssertionWriter()`
    `` | `public BinaryExpressionHelper` | `getBinaryExpressionHelper()`
    `` | `public int` | `getBytecodeVersion()`
    `` | `public CallSiteWriter` | `getCallSiteWriter()`
    `` | `public String` | `getClassName()`
    `` | `public ClassNode` | `getClassNode()`
    `` | `public org.objectweb.asm.ClassVisitor` | `getClassVisitor()`
    `` | `public ClosureWriter` | `getClosureWriter()`
    `` | `public CompileStack` | `getCompileStack()`
    `` | `public ConstructorNode` | `getConstructorNode()`
    `` | `public GeneratorContext` | `getContext()`
    `` | `public org.objectweb.asm.ClassVisitor` | `getCv()`
    `` | `public InterfaceHelperClassNode` | `getInterfaceClassLoadingClass()`
    `` | `public String` | `getInternalBaseClassName()`
    `` | `public String` | `getInternalClassName()`
    `` | `public InvocationWriter` | `getInvocationWriter()`
    `` | `public LambdaWriter` | `getLambdaWriter()`
    `` | `public int` | `getLineNumber()`
    `` | `public MethodNode` | `getMethodNode()`
    `` | `public MethodPointerExpressionWriter` | `getMethodPointerExpressionWriter()`
    `` | `public MethodReferenceExpressionWriter` | `getMethodReferenceExpressionWriter()`
    `` | `public org.objectweb.asm.MethodVisitor` | `getMethodVisitor()`
    `` | `public int` | `getNextHelperMethodIndex()`
    `` | `public OperandStack` | `getOperandStack()`
    `` | `public ClassNode` | `getOutermostClass()`
    `` | `public ClassNode` | `getReturnType()`
    `` | `public SourceUnit` | `getSourceUnit()`
    `` | `public StatementWriter` | `getStatementWriter()`
    `` | `public List<String>` | `getSuperMethodNames()`
    `` | `public ClassNode` | `getThisType()`
    `` | `public TypeChooser` | `getTypeChooser()`
    `` | `public UnaryExpressionHelper` | `getUnaryExpressionHelper()`
    `` | `public void` | `init(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)`
    `` | `public boolean` | `isConstructor()`
    `` | `public boolean` | `isFastPath()`
    `` | `public boolean` | `isInGeneratedFunction()`
    `` | `public boolean` | `isInGeneratedFunctionConstructor()`
    `` | `public boolean` | `isInScriptBody()` Returns: true if we are in a script body, where all variables declared are no longer local variables but are properties
    `` | `public boolean` | `isNotClinit()`
    `` | `public boolean` | `isStaticConstructor()`
    `` | `public boolean` | `isStaticContext()`
    `` | `public boolean` | `isStaticMethod()`
    `` | `public void` | `resetLineNumber()`
    `` | `public void` | `setConstructorNode(ConstructorNode constructorNode)`
    `` | `public void` | `setInterfaceClassLoadingClass(InterfaceHelperClassNode ihc)`
    `` | `public void` | `setLineNumber(int lineNumber)`
    `` | `public void` | `setMethodNode(MethodNode methodNode)`
    `` | `public void` | `setMethodVisitor(org.objectweb.asm.MethodVisitor methodVisitor)`
    `` | `public boolean` | `shouldOptimizeForInt()`
    `` | `public void` | `switchToFastPath()`
    `` | `public void` | `switchToSlowPath()`
    `` | `public void` | `visitLineNumber(int lineNumber)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public boolean optimizeForInt

  - ### Method Detail

    - #### public AsmClassGenerator getAcg()

    - #### public AssertionWriter getAssertionWriter()

    - #### public BinaryExpressionHelper getBinaryExpressionHelper()

    - #### public int getBytecodeVersion()

    - #### public CallSiteWriter getCallSiteWriter()

    - #### public String getClassName()

    - #### public ClassNode getClassNode()

    - #### public org.objectweb.asm.ClassVisitor getClassVisitor()

    - #### public ClosureWriter getClosureWriter()

    - #### public CompileStack getCompileStack()

    - #### public ConstructorNode getConstructorNode()

    - #### public GeneratorContext getContext()

    - #### @Deprecated
      public org.objectweb.asm.ClassVisitor getCv()

    - #### public InterfaceHelperClassNode getInterfaceClassLoadingClass()

    - #### public String getInternalBaseClassName()

    - #### public String getInternalClassName()

    - #### public InvocationWriter getInvocationWriter()

    - #### public LambdaWriter getLambdaWriter()

    - #### public int getLineNumber()

    - #### public MethodNode getMethodNode()

    - #### public MethodPointerExpressionWriter getMethodPointerExpressionWriter()

    - #### public MethodReferenceExpressionWriter getMethodReferenceExpressionWriter()

    - #### public org.objectweb.asm.MethodVisitor getMethodVisitor()

    - #### public int getNextHelperMethodIndex()

    - #### public OperandStack getOperandStack()

    - #### public ClassNode getOutermostClass()

    - #### public ClassNode getReturnType()

    - #### public SourceUnit getSourceUnit()

    - #### public StatementWriter getStatementWriter()

    - #### public List<String> getSuperMethodNames()

    - #### public ClassNode getThisType()

    - #### public TypeChooser getTypeChooser()

    - #### public UnaryExpressionHelper getUnaryExpressionHelper()

    - #### public void init(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)

    - #### public boolean isConstructor()

    - #### public boolean isFastPath()

    - #### public boolean isInGeneratedFunction()

    - #### public boolean isInGeneratedFunctionConstructor()

    - #### public boolean isInScriptBody()

      Returns:
        true if we are in a script body, where all variables declared are no longer local variables but are properties

    - #### public boolean isNotClinit()

    - #### public boolean isStaticConstructor()

    - #### public boolean isStaticContext()

    - #### public boolean isStaticMethod()

    - #### public void resetLineNumber()

    - #### public void setConstructorNode(ConstructorNode constructorNode)

    - #### public void setInterfaceClassLoadingClass(InterfaceHelperClassNode ihc)

    - #### public void setLineNumber(int lineNumber)

    - #### public void setMethodNode(MethodNode methodNode)

    - #### public void setMethodVisitor(org.objectweb.asm.MethodVisitor methodVisitor)

    - #### public boolean shouldOptimizeForInt()

    - #### public void switchToFastPath()

    - #### public void switchToSlowPath()

    - #### public void visitLineNumber(int lineNumber)